Skip to main content
GET
/
v1
/
internal_transfer
List all Internal Transfers
curl --request GET \
  --url https://api.sandbox.lead.bank/v1/internal_transfer \
  --header 'Authorization: Bearer <token>'
{
  "objects": [
    {
      "id": "internal_transfer_xyz123",
      "amount": 5000,
      "currency_code": "USD",
      "sender_account_id": "account_xyz123",
      "sender_account_number_id": "account_number_xyz123",
      "receiver_account_id": "account_xyz123",
      "receiver_account_number_id": "account_number_xyz123",
      "status": "posted",
      "description": "<string>",
      "metadata": {},
      "created_at": "2022-06-27T11:22:33Z",
      "updated_at": "2022-06-27T11:22:33Z",
      "rejection": {
        "reason": "account_number_not_active",
        "details": "Account number account_123 is inactive."
      }
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sender_account_number_id
string

The sender account number ID.

Pattern: ^account_number_\w+$
receiver_account_number_id
string

The receiver account number ID.

Pattern: ^account_number_\w+$
status
enum<string>

The current status of the InternalTransfer object.

Available options:
processing,
posted,
rejected
Example:

"posted"

created_at
object

A set of filters on the list using the object’s field created_at.

limit
integer
default:10

Maximum number of objects to be returned.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination; this is an ID that defines your place in the list.

Pattern: ^internal_transfer_\w+$
ending_before
string

A cursor for use in pagination; this is an ID that defines your place in the list.

Pattern: ^internal_transfer_\w+$

Response

List of Internal Transfer objects

objects
object[]
required
has_more
boolean
required

Indicates whether more results are available.